/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * $Id: JasmineDateFormater.java 6945 2010-09-27 13:56:51Z jlegrand $
 */
package org.ow2.jasmine.monitoring.eventswitch.transformers;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Used to construct Strings containing a Date object in a given format.
 * @author danesa
 */
public class JasmineDateFormater {

    /**
     * Currently used date format pattern in JASMINe
     */
    public static String JASMINE_DATE_PATTERN = "yyyy/MM/dd HH:mm:ss";

    /**
     * Formats a date into a date String corresponding to the default JASMINe pattern.
     * @param date the date to format
     * @return the String containing formated date
     */
    public static String getDateFormat(final Date date) {
        return new SimpleDateFormat(JASMINE_DATE_PATTERN).format(date);
    }
}
